Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/app/actions/addFragmentEntryLinks", ['module', 'exports', 'require', './types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = addFragmentEntryLinks;

    var _types = require("./types");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */

    /**
     * @param {object} data
     * @param {object[]} data.fragmentEntryLinks
     * @param {object} data.layoutData
     */
    function addFragmentEntryLinks(_ref) {
      var addedItemId = _ref.addedItemId,
          fragmentEntryLinks = _ref.fragmentEntryLinks,
          layoutData = _ref.layoutData;
      return {
        fragmentEntryLinks: fragmentEntryLinks,
        itemId: addedItemId,
        layoutData: layoutData,
        type: _types.ADD_FRAGMENT_ENTRY_LINKS
      };
    }
    //# sourceMappingURL=addFragmentEntryLinks.js.map
  }
});
//# sourceMappingURL=addFragmentEntryLinks.js.map