Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/app/components/fragment-configuration-fields/CollectionSelectorField", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/form', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../../common/components/CollectionSelector', '../../../prop-types/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.CollectionSelectorField = void 0;

    var _form = _interopRequireDefault(require("@frontend-taglib-clay$clayui/form"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _CollectionSelector = _interopRequireDefault(require("../../../common/components/CollectionSelector"));

    var _index = require("../../../prop-types/index");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var CollectionSelectorField = function CollectionSelectorField(_ref) {
      var field = _ref.field,
          onValueSelect = _ref.onValueSelect,
          value = _ref.value;
      var _field$typeOptions = field.typeOptions,
          typeOptions = _field$typeOptions === void 0 ? {} : _field$typeOptions;
      return (/*#__PURE__*/_react.default.createElement(_form.default.Group, {
          small: true
        }, /*#__PURE__*/_react.default.createElement(_CollectionSelector.default, {
          collectionTitle: value.title,
          itemSelectorURL: typeOptions.infoListSelectorURL,
          label: field.label,
          onCollectionSelect: function onCollectionSelect(collection) {
            onValueSelect(field.name, collection);
          }
        }))
      );
    };

    exports.CollectionSelectorField = CollectionSelectorField;
    //# sourceMappingURL=CollectionSelectorField.js.map
  }
});
//# sourceMappingURL=CollectionSelectorField.js.map