Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/app/processors/LinkProcessor", ['module', 'exports', 'require', './getAlloyEditorProcessor', './getLinkableEditableEditorWrapper'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _getAlloyEditorProcessor = _interopRequireDefault(require("./getAlloyEditorProcessor"));

    var _getLinkableEditableEditorWrapper = require("./getLinkableEditableEditorWrapper");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var _default = (0, _getAlloyEditorProcessor.default)('text', _getLinkableEditableEditorWrapper.getLinkableEditableEditorWrapper, function (element, value, config) {
      var anchor = element instanceof HTMLAnchorElement ? element : element.querySelector('a');

      if (anchor) {
        if (config.href) {
          anchor.href = config.href;
        }

        anchor.innerHTML = value;
        anchor.target = config.target || '';
      }
    });

    exports.default = _default;
    //# sourceMappingURL=LinkProcessor.js.map
  }
});
//# sourceMappingURL=LinkProcessor.js.map