Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/app/utils/getFrontendTokenValue", ['module', 'exports', 'require', '../config/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.getFrontendTokenValue = getFrontendTokenValue;

    var _index = require("../config/index");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */

    /**
     * Get widget path from the widgets tree by portletId
     */
    function getFrontendTokenValue(styleValue) {
      var frontendToken = _index.config.frontendTokens[styleValue];

      if (frontendToken) {
        if (Liferay.Browser.isIe()) {
          return frontendToken.value;
        } else {
          return "var(--".concat(frontendToken.cssVariable, ")");
        }
      }

      return styleValue;
    }
    //# sourceMappingURL=getFrontendTokenValue.js.map
  }
});
//# sourceMappingURL=getFrontendTokenValue.js.map