Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/plugins/experience/reducers/updateExperiencePriority", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function updateExperiencePriorityReducer(state, _ref) {
      var _objectSpread2;

      var subtarget = _ref.subtarget,
          target = _ref.target;
      var experiences = state.availableSegmentsExperiences;

      var targetExperience = _objectSpread(_objectSpread({}, experiences[target.segmentsExperienceId]), {}, {
        priority: target.priority
      });

      var subtargetExperience = _objectSpread(_objectSpread({}, experiences[subtarget.segmentsExperienceId]), {}, {
        priority: subtarget.priority
      });

      var updatedExperiences = _objectSpread(_objectSpread({}, experiences), {}, (_objectSpread2 = {}, _defineProperty(_objectSpread2, target.segmentsExperienceId, targetExperience), _defineProperty(_objectSpread2, subtarget.segmentsExperienceId, subtargetExperience), _objectSpread2));

      return _objectSpread(_objectSpread({}, state), {}, {
        availableSegmentsExperiences: updatedExperiences
      });
    }

    var _default = updateExperiencePriorityReducer;
    exports.default = _default;
    //# sourceMappingURL=updateExperiencePriority.js.map
  }
});
//# sourceMappingURL=updateExperiencePriority.js.map