Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/app/index", ['module', 'exports', 'require', 'frontend-js-react-web$react', 'frontend-js-react-web$react-dnd', 'frontend-js-react-web$react-dnd-html5-backend', './components/App', './config/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _reactDnd = require("frontend-js-react-web$react-dnd");

    var _reactDndHtml5Backend = require("frontend-js-react-web$react-dnd-html5-backend");

    var _App = _interopRequireDefault(require("./components/App"));

    var _index = require("./config/index");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var removeChild;
    /**
     * LPS-120418 remove child function that doesn't throw a NotFoundError exception.
     * This is done by default in all browser except ie11
     *
     * When mounting the dropzones this error is thrown making the fragment fail,
     * swallowing seems harmless and makes the dropzones work in ie11
     */

    function safeRemoveChild() {
      try {
        return removeChild.apply(this, arguments);
      } catch (error) {
        if (!(!!error && !!error.message && error.message === 'NotFoundError')) {
          throw error;
        }
      }
    }
    /**
     * Default application export.
     *
     * We should define contexts here instead of Container component, as Container
     * is re-rendered when hooks change.
     */

    function _default(data) {
      var _Liferay, _Liferay$Browser;

      (0, _index.initializeConfig)(data.config);

      if ((_Liferay = Liferay) === null || _Liferay === void 0 ? void 0 : (_Liferay$Browser = _Liferay.Browser) === null || _Liferay$Browser === void 0 ? void 0 : _Liferay$Browser.isIe()) {
        removeChild = window.HTMLElement.prototype.removeChild;
        window.HTMLElement.prototype.removeChild = safeRemoveChild;
      }

      (0, _react.useEffect)(function () {
        return function () {
          if (removeChild) {
            window.HTMLElement.prototype.removeChild = removeChild;
            removeChild = undefined;
          }
        };
      }, []);
      return (/*#__PURE__*/_react.default.createElement(_reactDnd.DndProvider, {
          backend: _reactDndHtml5Backend.HTML5Backend
        }, /*#__PURE__*/_react.default.createElement(_App.default, {
          state: data.state
        }))
      );
    }
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map