Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/app/thunks/addItem", ['module', 'exports', 'require', '../actions/addItem', '../services/LayoutService'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = addItem;

    var _addItem = _interopRequireDefault(require("../actions/addItem"));

    var _LayoutService = _interopRequireDefault(require("../services/LayoutService"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function addItem(_ref) {
      var itemType = _ref.itemType,
          parentItemId = _ref.parentItemId,
          position = _ref.position,
          _ref$selectItem = _ref.selectItem,
          selectItem = _ref$selectItem === void 0 ? function () {} : _ref$selectItem,
          store = _ref.store;
      return function (dispatch) {
        var segmentsExperienceId = store.segmentsExperienceId;
        return _LayoutService.default.addItem({
          itemType: itemType,
          onNetworkStatus: dispatch,
          parentItemId: parentItemId,
          position: position,
          segmentsExperienceId: segmentsExperienceId
        }).then(function (_ref2) {
          var addedItemId = _ref2.addedItemId,
              layoutData = _ref2.layoutData;
          dispatch((0, _addItem.default)({
            itemId: addedItemId,
            layoutData: layoutData
          }));

          if (addedItemId) {
            selectItem(addedItemId);
          }
        });
      };
    }
    //# sourceMappingURL=addItem.js.map
  }
});
//# sourceMappingURL=addItem.js.map