Liferay.Loader.define("layout-content-page-editor-web@2.0.166/page_editor/plugins/experience/thunks/updateExperiencePriority", ['module', 'exports', 'require', '../../../app/services/ExperienceService', '../actions/updateExperiencesList'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = updateExperiencePriority;

    var _ExperienceService = _interopRequireDefault(require("../../../app/services/ExperienceService"));

    var _updateExperiencesList = _interopRequireDefault(require("../actions/updateExperiencesList"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function updateExperiencePriority(_ref) {
      var priority = _ref.priority,
          segmentsExperienceId = _ref.segmentsExperienceId;
      return function (dispatch) {
        return _ExperienceService.default.updateExperiencePriority({
          body: {
            newPriority: priority,
            segmentsExperienceId: segmentsExperienceId
          },
          dispatch: dispatch
        }).then(function (_ref2) {
          var availableSegmentsExperiences = _ref2.availableSegmentsExperiences;
          return dispatch((0, _updateExperiencesList.default)(availableSegmentsExperiences));
        });
      };
    }
    //# sourceMappingURL=updateExperiencePriority.js.map
  }
});
//# sourceMappingURL=updateExperiencePriority.js.map